POST

/api/v1/bots/dca//start

Permission: BOTS_WRITESecurity: BEARER_JWT

Starts live execution of a configured DCA Bot. The Go API updates bot status to 'running' and dispatches a NATS command to the Tokio trade engine, which places the initial base order and initiates 5-second interval ladder monitoring.

See DCA Bot Entity for full attribute definitions
DCA Bot Entity

Path Parameters

iduuid required

Unique UUID identifier of the DCA Bot to start (e.g. 7c9e6679-7425-40de-944b-e07fc1f90ae7).

Example Request

POSTPOST /api/v1/bots/dca/7c9e6679-7425-40de-944b-e07fc1f90ae7/start

Example Responses

Returns status message and updated DCA Bot entity with status 'running'.

enable_dca_bot_200.json
200 OK
{
  "status": "success",
  "message": "DCA Bot started successfully",
  "data": {
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "user_id": "9a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
    "name": "BTC/USDT Classic Long DCA",
    "exchange": "binance",
    "pair": "BTC/USDT",
    "market_type": "spot",
    "strategy": "Long",
    "status": "running",
    "started_at": "2026-08-20T10:16:00.000Z",
    "active_trades": 1,
    "base_order_size": 100,
    "safety_order_size": 50,
    "take_profit_pct": 2.5
  }
}